function D = sparseDiag(d)

% SPARSEDIAG Create a diagonal matrix that is sparse from a vector.
%
% D = sparseDiag(d)
%

% Copyright (c) 2006 Neil D. Lawrence
% sparseDiag.m version 1.2



if length(size(d)) ~=2
  error('Input must be a vector.');
end
if size(d, 1) ~= 1 & size(d, 2) ~=1
  error('Input must be a vector.');
end

% Can be made more efficient.
D = sparse(diag(d));